#= Makefile for dcpam/execsrc
#
# Authors::   Yasuhiro MORIKAWA, Shin-ichi Takehiro
# Version::   $Id: Makefile,v 1.17 2025/09/18 10:00:00 takepiro Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2007. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
######################################################################
#
#== Settings

DIRDEPTH=..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

# LIBDIRS		= all-in hs94
LIBDIRS		= hs94 mv10

# End Settings
######################################################################

# all: lib exec
all: lib

lib:
	@for i in $(LIBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) || exit 1; \
	  cd .. ; \
	done

clean: 
	@for i in $(LIBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

clean.all: clean
	@for i in $(LIBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done
